/*
 * Copyright (c) 2026 盐灯水母
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

package com.remains_cave.dungeon.config;

import java.util.List;

public class RoutineStep {
    private String door;
    private String to_pool;
    private String to_structure;
    private String link_door;
    private String id;
    private boolean mirror;
    private List<RoutineStep> routine;

    public String getDoor() { return door; }
    public String getTo_pool() { return to_pool; }
    public String getTo_structure() { return to_structure; }
    public String getLink_door() { return link_door; }
    public String getId() { return id; }
    public boolean isMirror() { return mirror; }
    public List<RoutineStep> getRoutine() { return routine; }

    public void setDoor(String door) { this.door = door; }
    public void setTo_pool(String to_pool) { this.to_pool = to_pool; }
    public void setTo_structure(String to_structure) { this.to_structure = to_structure; }
    public void setLink_door(String link_door) { this.link_door = link_door; }
    public void setId(String id) { this.id = id; }
    public void setMirror(boolean mirror) { this.mirror = mirror; }
    public void setRoutine(List<RoutineStep> routine) { this.routine = routine; }

    private boolean boss = false; // 新增
    public boolean isBoss() {
        return boss;
    }

    public void setBoss(boolean boss) {
        this.boss = boss;
    }
}